# NFTOffer | xrpl
Documentation for xrpl

# Interface NFTOffer

One offer that might be returned from either an NFTBuyOffersRequest or an NFTSellOffersRequest.

#### Hierarchy

- NFTOffer

- Defined in packages/xrpl/src/models/common/index.ts:119

#####
Index

### Properties

amount
destination?
expiration?
flags
nft_offer_index
owner

## Properties

### amount

amount: Amount

- Defined in packages/xrpl/src/models/common/index.ts:120

### `Optional` destination

destination?: string

- Defined in packages/xrpl/src/models/common/index.ts:124

### `Optional` expiration

expiration?: number

- Defined in packages/xrpl/src/models/common/index.ts:125

### flags

flags: number

- Defined in packages/xrpl/src/models/common/index.ts:121

### nft_offer_index

nft_offer_index: string

- Defined in packages/xrpl/src/models/common/index.ts:122

### owner

owner: string

- Defined in packages/xrpl/src/models/common/index.ts:123

Generated using TypeDoc